<?php
/*
 * Plugin Name: My WooCommerce Product Virtual Showroom
 * Plugin URI: http://webdeveloping.gr/project/mywoocommerce-product-virtual-showroom/
 * Description: Allow your customers to check your products on a picture they upload! Increase your Sales Now!
 * Version: 1.1
 * Author: tazbambu
 * Author URI: http://webdeveloping.gr
 * License: GPL2
 * Created On: 22-02-2017
 * Updated On: 24-10-2017
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
add_action('plugins_loaded', 'MyWooCommerceShowroom_translate');
function MyWooCommerceShowroom_translate() {
	load_plugin_textdomain( 'MyWooCommerceShowroom', false, dirname( plugin_basename(__FILE__) ) . '/lang/' );
}

function MyWooCommerceShowroom_scripts(){

    wp_enqueue_script('jquery');
    wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-accordion');
	wp_enqueue_script('jquery-ui-resizable');
	wp_enqueue_script('jquery-ui-draggable');
	wp_enqueue_script('jquery-ui-droppable');
		
	wp_enqueue_style( 'MyWooCommerceShowroom_jqueryui_css', 'https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css' );		
	wp_enqueue_style( 'MyWooCommerceShowroom_jqueryui_css');	
	
	wp_enqueue_style( 'MyWooCommerceShowroom_fontawesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css' );	
	wp_enqueue_style( 'MyWooCommerceShowroom_fontawesome');
	
    wp_enqueue_style( 'MyWooCommerceShowroom_css', plugins_url( "/css/MyWooCommerceShowroom.css?v=".uniqid(), __FILE__ ) );	
	wp_enqueue_style( 'MyWooCommerceShowroom_css');	
	
	
    wp_enqueue_script( 'MyWooCommerceShowroom_js', plugins_url( "/js/MyWooCommerceShowroom.js?v=".uniqid(), __FILE__ ) , array('jquery') , null, true);
		
   $MyWooCommerceShowroom = array( 
				'plugin_url' => plugins_url( '', __FILE__ ) ,
				'pic_uploaded' => __('Picture uploaded! Proceed to Step 2 by clicking the tab above or click on the picture if you would like to upload a different one.','MyWooCommerceShowroom'),
				'prod_selected' => __('Product selected! Proceed to Step 3 by clicking the tab above or click on another product to select.','MyWooCommerceShowroom'),
							
	);		
    wp_localize_script( 'MyWooCommerceShowroom_js', 'MyWooCommerceShowroom_url', $MyWooCommerceShowroom );	
	wp_enqueue_script( 'MyWooCommerceShowroom_js');		
	
}
add_action('wp_enqueue_scripts', 'MyWooCommerceShowroom_scripts');


function MyWooCommerceShowroom_admin_scripts(){

    wp_enqueue_style( 'MyWooCommerceShowroomAdmin_css', plugins_url( "/css/MyWooCommerceShowroom_admin.css?v=".uniqid(), __FILE__ ) );	
	wp_enqueue_style( 'MyWooCommerceShowroomAdmin_css');	
	
	wp_enqueue_script('jquery');
    wp_enqueue_media();

	wp_enqueue_style( 'MyWooCommerceShowroom_fontawesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css' );	
	wp_enqueue_style( 'MyWooCommerceShowroom_fontawesome');
	
    wp_enqueue_script( 'MyWooCommerceShowroom_admin_js', plugins_url( '/js/MyWooCommerceShowroom_admin.js', __FILE__ ), array('jquery') , null, true);	
   $MyWooCommerceShowroom = array( 
				'plugin_url' => plugins_url( '', __FILE__ ) 	
	);		
	
	wp_localize_script( 'MyWooCommerceShowroom_admin_js', 'MyWooCommerceShowroom_url', $MyWooCommerceShowroom );
	
	 wp_enqueue_script( 'MyWooCommerceShowroom_admin_js');
}
add_action('admin_enqueue_scripts', 'MyWooCommerceShowroom_admin_scripts');


include( plugin_dir_path(__FILE__) .'/MyWooCommerceShowroom-options.php');


//ALLOW SHORTCODES ON WIDGETS
add_filter('widget_text', 'do_shortcode');

//ON ACTIVATION OF PREMIUM , DEACTIVE THE FREE ONE
function MyWooCommerceShowroom_activate(){
	require_once(ABSPATH .'/wp-admin/includes/plugin.php');
	$free = "/MyWooCommerceShowroom/MyWooCommerceShowroom.php";
	deactivate_plugins($free);
}
register_activation_hook( __FILE__, 'MyWooCommerceShowroom_activate' );


//ADD MENU LINK AND PAGE
add_action('admin_menu', 'MyWooCommerceShowroom_menu');

function MyWooCommerceShowroom_menu() {
	add_menu_page('My Woocommerce Showroom Settings', 'My Woocommerce Showroom', 'administrator', 'MyWooCommerceShowroom_settings', 'MyWooCommerceShowroom_settingsform', 'dashicons-welcome-view-site','100');
}


//ADD ACTION LINKS
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'add_MyWooCommerceShowroom_links' );

function add_MyWooCommerceShowroom_links ( $links ) {
 $links[] =  '<a href="' . admin_url( 'admin.php?page=MyWooCommerceShowroom_settings' ) . '">Settings</a>';
 $links[] = '<a href="http://webdeveloping.gr/product/mywoocommerce-product-virtual-showroom-pro" target="_blank">Premium Version</a>'; 

   return $links;
}

function MyWooCommerceShowroom_title(){
	?>
    	<input type="text" name="MyWooCommerceShowroom_title" id="MyWooCommerceShowroom_title"   value="<?php echo  esc_attr(get_option('MyWooCommerceShowroom_title')); ?>" />
    <?php
}


function MyWooCommerceShowroom_pics(){
	
	$MyWooCommerceShowroom_pics =  get_option("MyWooCommerceShowroom_pics");	

	?>			
		<input id="MyWooCommerceShowroom_pics_upload" type="button" class="button" value="Upload /select Images" />
		
		<p class='uploader_p'></p>
	<?php
		for ($i=0; $i<11;$i++) {
			if(!empty($MyWooCommerceShowroom_pics['url'][$i])){
				print "<img class='existing' src='".esc_url_raw($MyWooCommerceShowroom_pics['url'][$i])."' width='100' />";
			}
		}
	
    for ($i=0; $i<11;$i++) {
        echo "<input type='hidden' name=\"MyWooCommerceShowroom_pic_id[".$i."]\" class='MyWooCommerceShowroom_pics'  />";
    }		
    for ($i=0; $i<11;$i++) {
        echo "<input type='hidden' name=\"MyWooCommerceShowroom_pic_url[".$i."]\" class='MyWooCommerceShowroom_pics_url'  />";
    }
	

}



function MyWooCommerceShowroom_posttype(){
	?>			
		<select disabled class='premium_version'  name="MyWooCommerceShowroom_posttype" id="MyWooCommerceShowroom_posttype">
			<option class='premium_version' value=''>Premium Version Only</option>
		</select>
<?php
}
function MyWooCommerceShowroom_taxonomy(){
	?>			
		<select disabled class='premium_version'  name="MyWooCommerceShowroom_taxonomy" id="MyWooCommerceShowroom_taxonomy">
			<option class='premium_version' value=''>Premium Version Only</option>
		</select>
<?php
}
function MyWooCommerceShowroom_taxTerms(){
	?>			
		<select disabled class='premium_version'  name="MyWooCommerceShowroom_taxTerms" id="MyWooCommerceShowroom_taxTerms">
			<option class='premium_version' value=''>Premium Version Only</option>
		</select>
<?php
}

function MyWooCommerceShowroom_panel_fields(){


	add_settings_section("MyWooCommerceShowroom", "", null, "MyWooCommerceShowroom-options");
	add_settings_field("MyWooCommerceShowroom_title", __("Description/instructions for your Showroom",'MyWooCommerceShowroom'), "MyWooCommerceShowroom_title", "MyWooCommerceShowroom-options", "MyWooCommerceShowroom");	
		

	add_settings_section("MyWooCommerceShowroom_gallery", "", null, "MyWooCommerceShowroom-gallery");	
	add_settings_field("",  __("Images","MyWooCommerceProductDemo",'MyWooCommerceShowroom'), "MyWooCommerceShowroom_pics", "MyWooCommerceShowroom-gallery", "MyWooCommerceShowroom_gallery");	
	
	add_settings_section("MyWooCommerceShowroom_premium", "", null, "MyWooCommerceShowroom-premium");	
	add_settings_field("",  __("Select Products from Specific Post Types","MyWooCommerceProductDemo",'MyWooCommerceShowroom'), "MyWooCommerceShowroom_posttype", "MyWooCommerceShowroom-premium", "MyWooCommerceShowroom_premium");	
	
	add_settings_section("MyWooCommerceShowroom_premium2", "", null, "MyWooCommerceShowroom-premium2");
	add_settings_field("",  __("Select Products from Specific Vocabulary / Taxonomy","MyWooCommerceProductDemo",'MyWooCommerceShowroom'), "MyWooCommerceShowroom_taxonomy", "MyWooCommerceShowroom-premium2", "MyWooCommerceShowroom_premium2");	
	
	add_settings_section("MyWooCommerceShowroom_premium3", "", null, "MyWooCommerceShowroom-premium3");
	add_settings_field("",  __("Select Products from Specific Terms","MyWooCommerceProductDemo",'MyWooCommerceShowroom'), "MyWooCommerceShowroom_taxTerms", "MyWooCommerceShowroom-premium3", "MyWooCommerceShowroom_premium3");	


	register_setting("MyWooCommerceShowroom", "MyWooCommerceShowroom_title");
	register_setting("MyWooCommerceShowroom_gallery", "MyWooCommerceShowroom_pics");
	//register_setting("MyWooCommerceShowroom_premium", "MyWooCommerceShowroom_posttype");
	//register_setting("MyWooCommerceShowroom_premium2", "MyWooCommerceShowroom_taxonomy");
	//register_setting("MyWooCommerceShowroom_premium3", "MyWooCommerceShowroom_taxTerms");
	
}
add_action("admin_init", "MyWooCommerceShowroom_panel_fields");	



function MyWooCommerceShowroom_settingsform() {
	?>
	<div class="wrap ">
	
		<div class='MyWooCommerceShowroomWrap'>
		
			<h2><img src='<?php echo plugins_url( 'images/mywoocommerce-product-virtual-showroom_horizontal.png', __FILE__ ); ?>'style='width:100%'  /></h2>
			
			<form method="post" id='MyWooCommerceShowroom_form'  action= "<?php echo admin_url( 'admin.php?page=MyWooCommerceShowroom_settings' ); ?>">
				
				<?php
					if( isset( $_GET[ 'tab' ] ) ) {
						$active_tab = isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : '';
					} // end if
					
				?>
				
				 <h3><?php print __('Allow your customers to check your products on a picture they upload!','MyWooCommerceShowroom'); ?></h3><br/>
				 <p><?php print " <p><b>".__("INSTRUCTIONS","MyWooCommerceShowroom").":</b> ".__('Allow your customers to check your products on a picture they upload!','MyWooCommerceShowroom')."</p>"; ?> </p>
				<h2 class="nav-tab-wrapper">
				
					<a href="?page=MyWooCommerceShowroom_settings" class="nav-tab <?php echo $active_tab == '' ? 'nav-tab-active' : ''; ?>"><?php print __("General","MyWooCommerceShowroom"); ?></a>

				</h2>
				
				<div class='left_wrap' >
				
					<?php MyWooCommerceShowroom_processData(); ?>
					
					<?php

					print "<p><em>".__("Choose photos with no background for your products to appear attractive in the showroom.","MyWooCommerceShowroom")."</em></p>";	
					print "<p><em>".__("Once you are ready, enter the <strong>shortcode [MyWooCommerceShowroom] in any page</strong> you like to run your showroom!","MyWooCommerceShowroom")."</em></p>";

						settings_fields( 'MyWooCommerceShowroom-options' );
						do_settings_sections( 'MyWooCommerceShowroom-options' );		
				
						settings_fields( 'MyWooCommerceShowroom-gallery' );			
						do_settings_sections( 'MyWooCommerceShowroom-gallery' );  

						settings_fields( 'MyWooCommerceShowroom-premium' );			
						do_settings_sections( 'MyWooCommerceShowroom-premium' ); 
						
						settings_fields( 'MyWooCommerceShowroom-premium2' );			
						do_settings_sections( 'MyWooCommerceShowroom-premium2' ); 			
						
						settings_fields( 'MyWooCommerceShowroom-premium3' );			
						do_settings_sections( 'MyWooCommerceShowroom-premium3' ); 
						
					?>	
					<?php wp_nonce_field('MyWooCommerceShowroom'); ?>	
					<p id='save_changes' ><?php submit_button(); ?></p>

				</div>
				
				<div class='right_wrap rightToLeft'>
					<h2><i><?php _e("INCREASE YOUR SALES NOW!","MyWooCommerceShowroom");?></i>

					</h2>
					<ul>
						<li><i class='fa fa-check' ></i> <?php _e("You can Choose Content Type  to show. If left blank Woocommerce Product Type will be the default.","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("Choose Category of the Content Type","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("Choose Terms","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("Choose Number Of Products","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("It links the product pictures, displays actual links for the product pages","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("Add to cart functionality for each product","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("In the showroom the customer may display multiple images on top of each bachground","MyWooCommerceShowroom");?> </li>
						<li><i class='fa fa-check' ></i> <?php _e("Allow the User to take Screenshot of the Showroom Area","MyWooCommerceShowroom");?>		 </li>
					</ul>	
					<p class='center'>			
						<a target='_blank'  href='https://webdeveloping.gr/product/mywoocommerce-product-virtual-showroom-pro'>
							<img class='premium_img' src='<?php echo plugins_url( 'images/mywoocommerce-product-virtual-showroom_PRO.png', __FILE__ ); ?>' alt='Virtual Try On Woocommeerce Product Showroom' title='Virtual Try On Woocommeerce Product Showroom' />
						</a>
					<p  class='center'>
						<a target='_blank' style='background:#0085ba;color:#fff;padding:5px;text-decoration:none;border-radius:5px;' href='https://webdeveloping.gr/product/mywoocommerce-product-virtual-showroom-pro'>
							<i class='fa fa-tags' ></i> <?php _e("GET IT HERE","MyWooCommerceShowroom");?>
						</a>
					</p>
				</div>			
				
				
			</form>
		
		</div>
		
		<hr>
		
		<a target='_blank' style='float:right' href='https://webdeveloping.gr/product-category/wordpress-plugins/'><img style='width:150px;height:100px;' src='<?php echo plugins_url( 'images/webdeveloping.png', __FILE__ ); ?>' alt='Get more plugins by webdeveloping.gr' title='Get more plugins by webdeveloping.gr' /></a>	
		
		

	

	</div>
	<?php  
	
}

//ON DEACTIVATION , DELETE THE OPTIONS CREATED

function MyWooCommerceShowroom_deactivation() {
  delete_option('MyWooCommerceShowroom_useMedia');
  delete_option('MyWooCommerceShowroom_pics');
  delete_option('MyWooCommerceShowroom_prod_nr');
  delete_option('MyWooCommerceShowroom_prod_cats');
  delete_option('MyWooCommerceShowroom_prod_nr');
  delete_option('MyWooCommerceShowroom_cat_terms'); 
}
register_deactivation_hook( __FILE__, 'MyWooCommerceShowroom_deactivation' );


/*translated strings*/
$MyWooCommerceShowroomtitl1=__('Upload a picture of your Space - Check how our Product Fits!','MyWooCommerceShowroom');
$MyWooCommerceShowroomtitl2=__('Select a product','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext1=__('View','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext2=__('Here','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext3=__('Upload a Picture of your Space','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext4=__('Click On a Product to Select','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext5=__('Preview Product - Move & Resize','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext6=__('Previous','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext7=__('Next','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext8=__('Download Picture','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext8=__('Select Photo','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext8=__('Select Product','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext8=__('Preview Product','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext9=__('Picture uploaded! Proceed to Step 2 by clicking the tab above or click on the picture if you would like to upload a different one.','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext10=__('Product selected! Proceed to Step 3 by clicking the tab above or click on another product to select.','MyWooCommerceShowroom');
$MyWooCommerceShowroomtext11=__('Allow your customers to check your products on a picture they upload! Increase your Sales Now!','MyWooCommerceShowroom');


?>